<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcTrigger Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcTrigger Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcTrigger" --><!-- doxytag: inherits="iBase" -->
<p>This is a trigger property class.  
 <a href="structiPcTrigger.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="trigger_8h_source.html">propclass/trigger.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcTrigger:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcTrigger.png" usemap="#iPcTrigger_map" alt=""/>
  <map id="iPcTrigger_map" name="iPcTrigger_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,71,24"/>
</map>
 </div></div>

<p><a href="structiPcTrigger-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#a4f70fa9b1204bf5c78d6a53a23c87361">AddTriggerListener</a> (<a class="el" href="structiPcTriggerListener.html">iPcTriggerListener</a> *listener)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a trigger listener.  <a href="#a4f70fa9b1204bf5c78d6a53a23c87361"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#a1f82e15788fa2aa5ce893c6418c37fe2">Check</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This only works if we are monitoring an individual entity.  <a href="#a1f82e15788fa2aa5ce893c6418c37fe2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#a2d4334fb6ed10595d46cbe486338e1ab">EnableMessagesToOthers</a> (bool en)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable/disable sending messages to the entities that enter or leave this trigger (messages like pctrigger_entertrigger and pctrigger_leavetrigger).  <a href="#a2d4334fb6ed10595d46cbe486338e1ab"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#a42885ee0543f0407d51315dae06a517a">EnableMessagesToSelf</a> (bool en)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable/disable sending messages to the entity containing the trigger about other entities leaving of entering (messages like pctrigger_entityenters and pctrigger_entityleaves).  <a href="#a42885ee0543f0407d51315dae06a517a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#a280c3ccf877e9efabd2136694d37b05d">EnableMonitorInvisible</a> (bool en)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable monitoring on invisible entities.  <a href="#a280c3ccf877e9efabd2136694d37b05d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#a95ed2e9e6c0dcb5f5f35e52bbe18693a">EnableTrigger</a> (bool en)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable/Disable trigger.  <a href="#a95ed2e9e6c0dcb5f5f35e52bbe18693a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsWeakRefArray.html">csWeakRefArray</a><br class="typebreak"/>
&lt; <a class="el" href="structiCelEntity.html">iCelEntity</a> &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#ae271544b2adc7f4189605032358189cb">GetEntitiesInTrigger</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an array of all entities that are currently in the trigger area.  <a href="#ae271544b2adc7f4189605032358189cb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#ac75e33775bb8a61530054ac0e0cc26ff">GetMonitorClass</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the class name that we are currently monitoring or 0 if monitoring all entities.  <a href="#ac75e33775bb8a61530054ac0e0cc26ff"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#a9fd53da08ca23c7827609b3cd9a508d3">GetMonitorEntity</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the entity name that we are currently monitoring or 0 if monitoring all entities.  <a href="#a9fd53da08ca23c7827609b3cd9a508d3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual TriggerType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#adb7d7e25af17f329768d384f7d694b90">GetTriggerType</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the type of this trigger.  <a href="#adb7d7e25af17f329768d384f7d694b90"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#a902922920c0c8bad25affb56e50c8497">GetUpdateDelay</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get update delay for checking trigger.  <a href="#a902922920c0c8bad25affb56e50c8497"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#ac55dc58a9e74f414090fda644a78c59d">GetUpdateJitter</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get random jitter for update delay.  <a href="#ac55dc58a9e74f414090fda644a78c59d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#ab9d51f8f05ad0000bfe17a6df81400cb">HasCheckingOnInvisibleEntities</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get flag to control checking on invisible entities.  <a href="#ab9d51f8f05ad0000bfe17a6df81400cb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#ac29a1467ed88c44d19252ea508dc6876">HasFollowEntity</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get flag to let the trigger follow its own mesh.  <a href="#ac29a1467ed88c44d19252ea508dc6876"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#ac4f9969b574bff607618792ce8baeb0b">HasStrictChecking</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get flag to let the trigger do strict checking for monitored entity.  <a href="#ac4f9969b574bff607618792ce8baeb0b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#a5b730c845446ac29be6c07942f601710">IsEnabled</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if trigger is enabled.  <a href="#a5b730c845446ac29be6c07942f601710"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#ab106374cd9edf9bc0252c4bd349f021c">MonitorClass</a> (const char *classname)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">By default pctrigger will monitor all entities.  <a href="#ab106374cd9edf9bc0252c4bd349f021c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#acebddd45942c6805f6af3795c7c4a04e">MonitorEntity</a> (const char *entityname)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">By default pctrigger will monitor all entities.  <a href="#acebddd45942c6805f6af3795c7c4a04e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#a39e6b01129b753fa96f620e116508e12">RemoveTriggerListener</a> (<a class="el" href="structiPcTriggerListener.html">iPcTriggerListener</a> *listener)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a trigger listener.  <a href="#a39e6b01129b753fa96f620e116508e12"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#a096868ae591d261cd9fd97d9bc6f06f0">SetFollowEntity</a> (bool c)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set flag to let the trigger follow its own mesh (default off).  <a href="#a096868ae591d261cd9fd97d9bc6f06f0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#ac2b7070f0f9432a49f53b5b91b8132ab">SetMonitorDelay</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a> delay, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a> jitter)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the number of milliseconds we delay before monitoring all entities again.  <a href="#ac2b7070f0f9432a49f53b5b91b8132ab"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#a1c3043b5e682f11b3f8c3abcbee13e98">SetStrictChecking</a> (bool c)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set flag to let the trigger do strict checking for monitored entity.  <a href="#a1c3043b5e682f11b3f8c3abcbee13e98"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#ac0d4e3a1e2a9e3715fd0c1b1721a5d7c">SetupTriggerAboveMesh</a> (<a class="el" href="structiPcMesh.html">iPcMesh</a> *mesh, float maxdistance)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Setup a trigger to fire if this mesh ends up above another mesh.  <a href="#ac0d4e3a1e2a9e3715fd0c1b1721a5d7c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#a42e94ff5734555b8237e371d9585ec81">SetupTriggerBeam</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *sector, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;start, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;end)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Setup a beam trigger zone.  <a href="#a42e94ff5734555b8237e371d9585ec81"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#a76b21a885847ce2afc4ba07386c99111">SetupTriggerBox</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *sector, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsBox3.html">csBox3</a> &amp;box)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Setup a box trigger zone.  <a href="#a76b21a885847ce2afc4ba07386c99111"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#ad1901fe0820f039d07c27cbf90135335">SetupTriggerSphere</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *sector, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;center, float radius)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Setup a spherical area as trigger zone.  <a href="#ad1901fe0820f039d07c27cbf90135335"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcTrigger.html#a1dbbf07ddd5cc93ff15a82956c90e42d">SetupTriggerSphere</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *sector, const char *center_name, float radius)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Setup a spherical area as trigger zone.  <a href="#a1dbbf07ddd5cc93ff15a82956c90e42d"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is a trigger property class. </p>
<p>It is capable of detecting when another entity (that has a pcmesh) enters or leaves an area defined by this trigger. In that case it can send messages to the entity that contains this property class and/or the entities that enter/leave the trigger area.</p>
<p>This property class supports the following actions (add prefix 'cel.trigger.action.' if you want to access this action through a message):</p>
<ul>
<li>SetupTriggerSphere: parameters 'sector' (string), 'position' (vector3 or string (name of mapnode in that case)), and 'radius' (float).</li>
<li>SetupTriggerBox: parameters 'sector' (string), 'minbox' (vector3), and 'maxbox' (vector3).</li>
<li>SetupTriggerBeam: parameters 'sector' (string), 'start' (vector3), and 'end' (vector3).</li>
<li>SetupTriggerAboveMesh: parameters 'entity' (string) and 'maxdistance' (float),</li>
</ul>
<p>This property class can send out the following messages:</p>
<ul>
<li>'cel.trigger.entity.enter' (old 'pctrigger_entityenters'): an entity enters this trigger (entity).</li>
<li>'cel.trigger.entity.leave' (old 'pctrigger_entityleaves'): an entity leaves this trigger (entity).</li>
<li>'cel.trigger.entity.enter.this' (old 'pctrigger_entertrigger'): this entity enters a trigger (entity).</li>
<li>'cel.trigger.entity.leave.this' (old 'pctrigger_leavetrigger'): this entity leaves a trigger (entity).</li>
</ul>
<p>This property class supports the following properties:</p>
<ul>
<li>delay (long, read/write): update delay for checking trigger.</li>
<li>jitter (long, read/write): random jitter added to update delay.</li>
<li>monitor (string, read/write): name of entity to monitor.</li>
<li>class (string, read/write): name of class to monitor.</li>
<li>invisible (bool, read/write): also check on invisible entities (default off).</li>
<li>follow (bool, read/write): follow own entity pcmesh (default off).</li>
<li>enabled (bool, read/write): enable/disable triger (default on).</li>
<li>strict (bool, read/write): do strict checking for monitored entity. if true an error will be reported if the entity is not there. (default on)</li>
<li>type (long, read only): trigger type, a value from TriggerType. </li>
</ul>

<p>Definition at line <a class="el" href="trigger_8h_source.html#l00112">112</a> of file <a class="el" href="trigger_8h_source.html">trigger.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a4f70fa9b1204bf5c78d6a53a23c87361"></a><!-- doxytag: member="iPcTrigger::AddTriggerListener" ref="a4f70fa9b1204bf5c78d6a53a23c87361" args="(iPcTriggerListener *listener)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTrigger.html#a4f70fa9b1204bf5c78d6a53a23c87361">iPcTrigger::AddTriggerListener</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcTriggerListener.html">iPcTriggerListener</a> *&#160;</td>
          <td class="paramname"><em>listener</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a trigger listener. </p>
<p>Trigger listeners are called right before the behaviour is called. </p>

</div>
</div>
<a class="anchor" id="a1f82e15788fa2aa5ce893c6418c37fe2"></a><!-- doxytag: member="iPcTrigger::Check" ref="a1f82e15788fa2aa5ce893c6418c37fe2" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcTrigger.html#a1f82e15788fa2aa5ce893c6418c37fe2">iPcTrigger::Check</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This only works if we are monitoring an individual entity. </p>
<p>In that case it will return true if the entity is already in the trigger. </p>

</div>
</div>
<a class="anchor" id="a2d4334fb6ed10595d46cbe486338e1ab"></a><!-- doxytag: member="iPcTrigger::EnableMessagesToOthers" ref="a2d4334fb6ed10595d46cbe486338e1ab" args="(bool en)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTrigger.html#a2d4334fb6ed10595d46cbe486338e1ab">iPcTrigger::EnableMessagesToOthers</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>en</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable/disable sending messages to the entities that enter or leave this trigger (messages like pctrigger_entertrigger and pctrigger_leavetrigger). </p>
<p>This is enabled by default. </p>

</div>
</div>
<a class="anchor" id="a42885ee0543f0407d51315dae06a517a"></a><!-- doxytag: member="iPcTrigger::EnableMessagesToSelf" ref="a42885ee0543f0407d51315dae06a517a" args="(bool en)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTrigger.html#a42885ee0543f0407d51315dae06a517a">iPcTrigger::EnableMessagesToSelf</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>en</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable/disable sending messages to the entity containing the trigger about other entities leaving of entering (messages like pctrigger_entityenters and pctrigger_entityleaves). </p>
<p>This is enabled by default. </p>

</div>
</div>
<a class="anchor" id="a280c3ccf877e9efabd2136694d37b05d"></a><!-- doxytag: member="iPcTrigger::EnableMonitorInvisible" ref="a280c3ccf877e9efabd2136694d37b05d" args="(bool en)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTrigger.html#a280c3ccf877e9efabd2136694d37b05d">iPcTrigger::EnableMonitorInvisible</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>en</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable monitoring on invisible entities. </p>
<p>Default off. This option is only useful in case many entities are monitored (not only a single entity). </p>

</div>
</div>
<a class="anchor" id="a95ed2e9e6c0dcb5f5f35e52bbe18693a"></a><!-- doxytag: member="iPcTrigger::EnableTrigger" ref="a95ed2e9e6c0dcb5f5f35e52bbe18693a" args="(bool en)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTrigger.html#a95ed2e9e6c0dcb5f5f35e52bbe18693a">iPcTrigger::EnableTrigger</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>en</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable/Disable trigger. </p>
<p>Triggers are enabled by default. </p>

</div>
</div>
<a class="anchor" id="ae271544b2adc7f4189605032358189cb"></a><!-- doxytag: member="iPcTrigger::GetEntitiesInTrigger" ref="ae271544b2adc7f4189605032358189cb" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsWeakRefArray.html">csWeakRefArray</a>&lt;<a class="el" href="structiCelEntity.html">iCelEntity</a>&gt;&amp; <a class="el" href="structiPcTrigger.html#ae271544b2adc7f4189605032358189cb">iPcTrigger::GetEntitiesInTrigger</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an array of all entities that are currently in the trigger area. </p>

</div>
</div>
<a class="anchor" id="ac75e33775bb8a61530054ac0e0cc26ff"></a><!-- doxytag: member="iPcTrigger::GetMonitorClass" ref="ac75e33775bb8a61530054ac0e0cc26ff" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiPcTrigger.html#ac75e33775bb8a61530054ac0e0cc26ff">iPcTrigger::GetMonitorClass</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the class name that we are currently monitoring or 0 if monitoring all entities. </p>

</div>
</div>
<a class="anchor" id="a9fd53da08ca23c7827609b3cd9a508d3"></a><!-- doxytag: member="iPcTrigger::GetMonitorEntity" ref="a9fd53da08ca23c7827609b3cd9a508d3" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiPcTrigger.html#a9fd53da08ca23c7827609b3cd9a508d3">iPcTrigger::GetMonitorEntity</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the entity name that we are currently monitoring or 0 if monitoring all entities. </p>

</div>
</div>
<a class="anchor" id="adb7d7e25af17f329768d384f7d694b90"></a><!-- doxytag: member="iPcTrigger::GetTriggerType" ref="adb7d7e25af17f329768d384f7d694b90" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual TriggerType <a class="el" href="structiPcTrigger.html#adb7d7e25af17f329768d384f7d694b90">iPcTrigger::GetTriggerType</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the type of this trigger. </p>

</div>
</div>
<a class="anchor" id="a902922920c0c8bad25affb56e50c8497"></a><!-- doxytag: member="iPcTrigger::GetUpdateDelay" ref="a902922920c0c8bad25affb56e50c8497" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a> <a class="el" href="structiPcTrigger.html#a902922920c0c8bad25affb56e50c8497">iPcTrigger::GetUpdateDelay</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get update delay for checking trigger. </p>

</div>
</div>
<a class="anchor" id="ac55dc58a9e74f414090fda644a78c59d"></a><!-- doxytag: member="iPcTrigger::GetUpdateJitter" ref="ac55dc58a9e74f414090fda644a78c59d" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a> <a class="el" href="structiPcTrigger.html#ac55dc58a9e74f414090fda644a78c59d">iPcTrigger::GetUpdateJitter</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get random jitter for update delay. </p>

</div>
</div>
<a class="anchor" id="ab9d51f8f05ad0000bfe17a6df81400cb"></a><!-- doxytag: member="iPcTrigger::HasCheckingOnInvisibleEntities" ref="ab9d51f8f05ad0000bfe17a6df81400cb" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcTrigger.html#ab9d51f8f05ad0000bfe17a6df81400cb">iPcTrigger::HasCheckingOnInvisibleEntities</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get flag to control checking on invisible entities. </p>

</div>
</div>
<a class="anchor" id="ac29a1467ed88c44d19252ea508dc6876"></a><!-- doxytag: member="iPcTrigger::HasFollowEntity" ref="ac29a1467ed88c44d19252ea508dc6876" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcTrigger.html#ac29a1467ed88c44d19252ea508dc6876">iPcTrigger::HasFollowEntity</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get flag to let the trigger follow its own mesh. </p>

</div>
</div>
<a class="anchor" id="ac4f9969b574bff607618792ce8baeb0b"></a><!-- doxytag: member="iPcTrigger::HasStrictChecking" ref="ac4f9969b574bff607618792ce8baeb0b" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcTrigger.html#ac4f9969b574bff607618792ce8baeb0b">iPcTrigger::HasStrictChecking</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get flag to let the trigger do strict checking for monitored entity. </p>

</div>
</div>
<a class="anchor" id="a5b730c845446ac29be6c07942f601710"></a><!-- doxytag: member="iPcTrigger::IsEnabled" ref="a5b730c845446ac29be6c07942f601710" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcTrigger.html#a5b730c845446ac29be6c07942f601710">iPcTrigger::IsEnabled</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return true if trigger is enabled. </p>

</div>
</div>
<a class="anchor" id="ab106374cd9edf9bc0252c4bd349f021c"></a><!-- doxytag: member="iPcTrigger::MonitorClass" ref="ab106374cd9edf9bc0252c4bd349f021c" args="(const char *classname)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTrigger.html#ab106374cd9edf9bc0252c4bd349f021c">iPcTrigger::MonitorClass</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>classname</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>By default pctrigger will monitor all entities. </p>
<p>You can also let pctrigger monitor only entities with a specific class. To disable this just use 0 as the class. </p>

</div>
</div>
<a class="anchor" id="acebddd45942c6805f6af3795c7c4a04e"></a><!-- doxytag: member="iPcTrigger::MonitorEntity" ref="acebddd45942c6805f6af3795c7c4a04e" args="(const char *entityname)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTrigger.html#acebddd45942c6805f6af3795c7c4a04e">iPcTrigger::MonitorEntity</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entityname</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>By default pctrigger will monitor all entities. </p>
<p>If you only want pctrigger to monitor one entity then you can give the name of that entity here. pctrigger will try to find the entity with that name and monitor it. To go back to monitoring all entities just call this function with a 0 name. </p>

</div>
</div>
<a class="anchor" id="a39e6b01129b753fa96f620e116508e12"></a><!-- doxytag: member="iPcTrigger::RemoveTriggerListener" ref="a39e6b01129b753fa96f620e116508e12" args="(iPcTriggerListener *listener)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTrigger.html#a39e6b01129b753fa96f620e116508e12">iPcTrigger::RemoveTriggerListener</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcTriggerListener.html">iPcTriggerListener</a> *&#160;</td>
          <td class="paramname"><em>listener</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a trigger listener. </p>

</div>
</div>
<a class="anchor" id="a096868ae591d261cd9fd97d9bc6f06f0"></a><!-- doxytag: member="iPcTrigger::SetFollowEntity" ref="a096868ae591d261cd9fd97d9bc6f06f0" args="(bool c)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTrigger.html#a096868ae591d261cd9fd97d9bc6f06f0">iPcTrigger::SetFollowEntity</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>c</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set flag to let the trigger follow its own mesh (default off). </p>

</div>
</div>
<a class="anchor" id="ac2b7070f0f9432a49f53b5b91b8132ab"></a><!-- doxytag: member="iPcTrigger::SetMonitorDelay" ref="ac2b7070f0f9432a49f53b5b91b8132ab" args="(csTicks delay, csTicks jitter)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTrigger.html#ac2b7070f0f9432a49f53b5b91b8132ab">iPcTrigger::SetMonitorDelay</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a>&#160;</td>
          <td class="paramname"><em>delay</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a>&#160;</td>
          <td class="paramname"><em>jitter</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the number of milliseconds we delay before monitoring all entities again. </p>
<p>There is also a jitter parameter which will add a small random amount to that time to prevent all triggers trying to do the monitoring at once. By default this is set to 200/10 (i.e. roughly five times per second). </p>

</div>
</div>
<a class="anchor" id="a1c3043b5e682f11b3f8c3abcbee13e98"></a><!-- doxytag: member="iPcTrigger::SetStrictChecking" ref="a1c3043b5e682f11b3f8c3abcbee13e98" args="(bool c)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTrigger.html#a1c3043b5e682f11b3f8c3abcbee13e98">iPcTrigger::SetStrictChecking</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>c</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set flag to let the trigger do strict checking for monitored entity. </p>
<p>If true an error will be reported if the entity is not there. Default on. </p>

</div>
</div>
<a class="anchor" id="ac0d4e3a1e2a9e3715fd0c1b1721a5d7c"></a><!-- doxytag: member="iPcTrigger::SetupTriggerAboveMesh" ref="ac0d4e3a1e2a9e3715fd0c1b1721a5d7c" args="(iPcMesh *mesh, float maxdistance)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTrigger.html#ac0d4e3a1e2a9e3715fd0c1b1721a5d7c">iPcTrigger::SetupTriggerAboveMesh</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcMesh.html">iPcMesh</a> *&#160;</td>
          <td class="paramname"><em>mesh</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>maxdistance</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Setup a trigger to fire if this mesh ends up above another mesh. </p>
<p>This works by tracing a beam down from the center of the mesh. </p>

</div>
</div>
<a class="anchor" id="a42e94ff5734555b8237e371d9585ec81"></a><!-- doxytag: member="iPcTrigger::SetupTriggerBeam" ref="a42e94ff5734555b8237e371d9585ec81" args="(iSector *sector, const csVector3 &amp;start, const csVector3 &amp;end)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTrigger.html#a42e94ff5734555b8237e371d9585ec81">iPcTrigger::SetupTriggerBeam</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *&#160;</td>
          <td class="paramname"><em>sector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>start</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>end</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Setup a beam trigger zone. </p>

</div>
</div>
<a class="anchor" id="a76b21a885847ce2afc4ba07386c99111"></a><!-- doxytag: member="iPcTrigger::SetupTriggerBox" ref="a76b21a885847ce2afc4ba07386c99111" args="(iSector *sector, const csBox3 &amp;box)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTrigger.html#a76b21a885847ce2afc4ba07386c99111">iPcTrigger::SetupTriggerBox</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *&#160;</td>
          <td class="paramname"><em>sector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsBox3.html">csBox3</a> &amp;&#160;</td>
          <td class="paramname"><em>box</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Setup a box trigger zone. </p>

</div>
</div>
<a class="anchor" id="ad1901fe0820f039d07c27cbf90135335"></a><!-- doxytag: member="iPcTrigger::SetupTriggerSphere" ref="ad1901fe0820f039d07c27cbf90135335" args="(iSector *sector, const csVector3 &amp;center, float radius)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTrigger.html#ad1901fe0820f039d07c27cbf90135335">iPcTrigger::SetupTriggerSphere</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *&#160;</td>
          <td class="paramname"><em>sector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>center</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>radius</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Setup a spherical area as trigger zone. </p>

</div>
</div>
<a class="anchor" id="a1dbbf07ddd5cc93ff15a82956c90e42d"></a><!-- doxytag: member="iPcTrigger::SetupTriggerSphere" ref="a1dbbf07ddd5cc93ff15a82956c90e42d" args="(iSector *sector, const char *center_name, float radius)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcTrigger.html#ad1901fe0820f039d07c27cbf90135335">iPcTrigger::SetupTriggerSphere</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *&#160;</td>
          <td class="paramname"><em>sector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>center_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>radius</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Setup a spherical area as trigger zone. </p>
<p>This version uses a mapnode (&lt;node&gt; in XML) in the sector to get the position from. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="trigger_8h_source.html">trigger.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
